ACOS(3) | Library Functions Manual | ACOS(3)

# NAME

`acos`, `acosf`, `acosl` —
arc cosine function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`acos`(double x);

float
`acosf`(float x);

long double
`acosl`(long double x);

# DESCRIPTION

The `acos`(), `acosf`(), and `acosl`() functions compute the principal value of the arc cosine of x in the range [0, pi].

# RETURN VALUES

If |x|>1, `acos`(x), `acosf`(x), and `acosl`(x) set the global variable errno to EDOM.

# SEE ALSO

asin(3), atan(3), atan2(3), cos(3), cosh(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

# STANDARDS

The `acos`() function conforms to ISO/IEC 9899:1999 (“ISO C99”).

January 29, 2013 | NetBSD 9.2